package kr.co.hanwha.hifive.screen.search;

import android.support.annotation.NonNull;

import java.util.ArrayList;

import kr.co.hanwha.hifive.base.BasePresenter;
import kr.co.hanwha.hifive.base.BaseView;

/**
 * 검색 Interface
 * Created by sanghoonkwon on 2018. 1. 23..
 */

public interface SearchContract {
    interface View extends BaseView<Presenter> {
        /**
         * 최근 검색어
         *
         * @param list
         */
        void setRecentKeyword(ArrayList<String> list);

        /**
         * All tag
         *
         * @param list
         */
        void setProjectKeyword(ArrayList<String> list);

        void setSearchResult(int count);
    }

    interface Presenter extends BasePresenter {
        /**
         * 최근 검색어 조회
         */
        void initRecentKeyword();

        void doSearch(@NonNull String text);
    }
}
